## python-mediafile 0.12.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/MediaFile.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MediaFile.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/MediaFile"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/MediaFile"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## python-mediafile 0.6.0

=== debian/changelog ===
python-mediafile (0.6.0-2) unstable; urgency=medium

  * Source only re-upload.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 17 Nov 2020 10:48:25 -0500

python-mediafile (0.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #973244)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 27 Oct 2020 17:44:45 -0400

=== debian/control ===
Source: python-mediafile
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Louis-Philippe Véronneau <pollo@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               flit,
               python3-six <!nocheck>,
               python3-mutagen <!nocheck>,
Standards-Version: 4.5.0.0
Vcs-Git: https://salsa.debian.org/python-team/packages/python-mediafile.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mediafile
Homepage: https://github.com/beetbox/mediafile

Package: python3-mediafile
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-six,
         python3-mutagen,
Description: read and write audio files' tags in Python
 MediaFile is a simple interface to the metadata tags for many audio file
 formats. It wraps Mutagen, a high-quality library for low-level tag
 manipulation, with a high-level, format-independent interface for a common set
 of tags.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = python-mediafile
export PYBUILD_SYSTEM = flit

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args='{interpreter} -m unittest discover -s test -v'

=== debian/tests/control ===
Tests: unittests
Depends: @, python3-all

## python-mediafile 0.9.0

=== debian/changelog ===
python-mediafile (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * d/upstream: Add upstream's gpg key, as tags are now signed.
  * d/copyright: update copyright year.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 27 Nov 2021 13:00:56 -0500

python-mediafile (0.8.1-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * Drop direct_url.json deletion, dh-python handles this since 5.20211016.
    (Closes: #997537)

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Stefano Rivera <stefanor@debian.org>  Sun, 31 Oct 2021 13:46:51 -0700

python-mediafile (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: drop 0001, it has been fixed upstream.
  * d/control: Standards-Version update to 4.6.0. No changes.
  * d/rules: delete direct_url.json, as it's not reproducible.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 12 Oct 2021 00:19:32 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                flit,
                python3-six <!nocheck>,
                python3-mutagen <!nocheck>,
-Standards-Version: 4.5.0.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mediafile.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mediafile
 Homepage: https://github.com/beetbox/mediafile

=== debian/watch ===
version=4
opts="mode=git, pgpmode=gittag, uversionmangle=s/v//" \
https://github.com/beetbox/mediafile.git \
refs/tags/([v\d\.]+)

## python-mediafile 0.11.0

=== debian/changelog ===
python-mediafile (0.11.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Standards-Version update to 4.6.2. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Wed, 21 Dec 2022 16:24:21 -0500

python-mediafile (0.10.1-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: stop verifying upstream tags, as they are now signed with an SSH
    key and uscan doesn't support it yet.
  * d/control: depend on mutagen 1.46+

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 30 Oct 2022 15:59:44 -0400

python-mediafile (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Standards-Version update to 4.6.1. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 23 Oct 2022 12:28:44 -0400

python-mediafile (0.9.0-2) unstable; urgency=medium

  * d/rules: drop override_dh_auto_test, as pybuild now supports running flit
    tests natively.
  * d/control: build using pybuild-plugin-pyprojet. (Closes: #1008571)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Wed, 30 Mar 2022 13:36:11 -0400

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
+               pybuild-plugin-pyproject,
                flit,
                python3-six <!nocheck>,
-               python3-mutagen <!nocheck>,
-Standards-Version: 4.6.0
+               python3-mutagen (>= 1.46) <!nocheck>,
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mediafile.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mediafile
 Homepage: https://github.com/beetbox/mediafile
@@ -20,7 +21,7 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-six,
-         python3-mutagen,
+         python3-mutagen (>= 1.46),
 Description: read and write audio files' tags in Python
  MediaFile is a simple interface to the metadata tags for many audio file
  formats. It wraps Mutagen, a high-quality library for low-level tag

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = python-mediafile

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="mode=git, uversionmangle=s/v//" \
https://github.com/beetbox/mediafile.git \
refs/tags/([v\d\.]+)

## python-mediafile 0.12.0

=== debian/changelog ===
python-mediafile (0.12.0-2) unstable; urgency=medium

  * d/control, patches: depend on filetype, add 0002 to remove imghdr.
    (Closes: #1082230)
  * d/control: Standards-Version bump to 4.7.0. No changes needed.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 04 Oct 2024 14:03:00 -0400

python-mediafile (0.12.0-1) unstable; urgency=medium

  * New upstream release.
  * d/tests: remove in favor of pybuild-autopkgtest.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 25 Jul 2023 11:44:16 -0400

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,12 @@
                flit,
                python3-six <!nocheck>,
                python3-mutagen (>= 1.46) <!nocheck>,
-Standards-Version: 4.6.2
+               python3-filetype <!nocheck>
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mediafile.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mediafile
 Homepage: https://github.com/beetbox/mediafile
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-mediafile
 Architecture: all
@@ -22,6 +24,7 @@
          ${misc:Depends},
          python3-six,
          python3-mutagen (>= 1.46),
+         python3-filetype
 Description: read and write audio files' tags in Python
  MediaFile is a simple interface to the metadata tags for many audio file
  formats. It wraps Mutagen, a high-quality library for low-level tag

## python-mediafile 0.13.0

=== debian/changelog ===
python-mediafile (0.13.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.13.0
  * Remove dependency on python3-six
  * Use dh-sequence-python3
  * Drop patch applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Tue, 05 Nov 2024 07:17:53 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Uploaders: Louis-Philippe Véronneau <pollo@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                pybuild-plugin-pyproject,
                flit,
-               python3-six <!nocheck>,
                python3-mutagen (>= 1.46) <!nocheck>,
                python3-filetype <!nocheck>
 Standards-Version: 4.7.0
@@ -22,7 +21,6 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-six,
          python3-mutagen (>= 1.46),
          python3-filetype
 Description: read and write audio files' tags in Python

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = python-mediafile

%:
	dh $@ --buildsystem=pybuild

## python-mediafile 0.14.0

=== debian/changelog ===
python-mediafile (0.14.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: update build dependencies.
  * d/control: Standards-Version bump to 4.7.3. Remove redundant fields.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 22 Feb 2026 15:33:35 -0500

=== debian/control ===
Source: python-mediafile
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Louis-Philippe Véronneau <pollo@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               pybuild-plugin-pyproject,
               python3-poetry-core,
               python3-mutagen <!nocheck>,
               python3-filetype <!nocheck>
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/python-team/packages/python-mediafile.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mediafile
Homepage: https://github.com/beetbox/mediafile
Testsuite: autopkgtest-pkg-pybuild

Package: python3-mediafile
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-mutagen,
         python3-filetype
Description: read and write audio files' tags in Python
 MediaFile is a simple interface to the metadata tags for many audio file
 formats. It wraps Mutagen, a high-quality library for low-level tag
 manipulation, with a high-level, format-independent interface for a common set
 of tags.
